## How to contribute to fheroes2

#### **Did you find a bug?**

* Please open issues for bugs or security vulnerabilities.

* **Ensure the bug was not already reported** by searching on GitHub under [issues](https://github.com/ihhub/fheroes2/issues).

* If you're unable to find an open issue addressing the problem,
  [open a new one](https://github.com/ihhub/fheroes2/issues/new/choose). Be sure to include a **title and clear description**,
  and as much relevant information as possible, including the **list of steps to reproduce the bug** and **a save file**
  (if available).

#### **Did you write a patch that fixes a bug?**

* Ensure your patch follows project's [code style](https://github.com/ihhub/fheroes2/wiki/Code-style).

* Open a new GitHub pull request with the patch.

* Ensure the PR description clearly describes the problem and solution. Include the relevant issue number if applicable.

* One bug per pull request. 

#### **Do you intend to add a new feature or change an existing one?**

* Suggest your change in an issue first and then start writing code.

* Ensure your code follows project's [code style](https://github.com/ihhub/fheroes2/wiki/Code-style).

* One feature per pull request. 

#### **Do you have questions about the source code?**

* Ask any question in the issues section as well. 

#### **Do you want to contribute to the project?**

fheroes2 is a volunteer effort. We encourage you to pitch in and join the team!

Thanks! :heart: :heart: :heart:

fheroes2 Resurrection Team
